I have created a little plugin that creates a widget that I’ve made, basically just a pretty element, unfortunately, all default widget styles are overriding my custom CSS, and adding !important to certain styles are breaking a few things due to various sizes and color variations.

Is there a way around this? I just want the stylesheet to work for the one widget I have made and it not load from the defaults.

Any tips/suggestions would be greatly appreciated.

Thanks.

Read more here: Trying to create my first plugin that’s a widget, all themes default styles are overriding my custom CSS


Solution:

If you know the solution of this issue, please leave us a reply in Comment section, to update the question.

Related Wordpress search:

, , , , , , , ,

Wordpress related questions and answers: